japa.parser.ast.expr

## Class LiteralExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.LiteralExpr

Direct Known Subclasses:
  BooleanLiteralExpr, NullLiteralExpr, StringLiteralExpr

    public abstract class LiteralExpr
    extends Expression

### Constructor Summary

Constructors
Constructor and Description
`LiteralExpr()`
`LiteralExpr(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

### Methods inherited from class japa.parser.ast.Node

`accept, accept, equals, getBeginColumn, getBeginLine, getData, getEndColumn, getEndLine, hashCode, setBeginColumn, setBeginLine, setData, setEndColumn, setEndLine, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LiteralExpr

    public LiteralExpr()

#### LiteralExpr

    public LiteralExpr(int beginLine,
               int beginColumn,
               int endLine,
               int endColumn)